Distorted Android - Bug #28

Blur: looks of a blurred object depend on what's underneath
04/08/2018 09:20 PM - Leszek Koltunski

Status: Closed Start date: 04/08/2018
Priority: Normal Due date:

Assignee: Leszek Koltunski % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Fire up the 'Triblur' app, rotate so that the left (red) cube is partially obstructed by the middle one, and keep toggling the red
checkbox (to apply and stop applying the Blur effect to the red cube).
Notice that the middle, yellow cube changes its appearance slightly (the edges get darker).

This should not be happening. Investigate.

History

#1 - 04/08/2018 10:49 PM - Distorted Admin

Actually it turns out that the looks do NOT depend on what's underneath. They depend on if the object being blurred is the very first object the blur is
being done on or one of the later ones.

#2 - 04/09/2018 12:04 PM - Leszek Koltunski
- Status changed from New to Closed

- Assignee set to Leszek Koltunski

Fixed in library|9455da17

#3 - 04/13/2018 12:19 AM - Distorted Admin
- % Done changed from 0 to 100

04/11/2024 1/1



https://distorted.org/redmine/projects/distorted-android/repository/library/revisions/9455da1777e4c3b16951070dbde5914de9cb784c
